# -*- coding: utf-8 -*-
#
# Copyright (c) 2006-2007 by:
#     Blue Dynamics Alliance
#         * Klein & Partner KEG, Austria
#         * Squarewave Computing Robert Niederreiter, Austria
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

__author__ = """Robert Niederreiter <rnix@squarewave.at>"""
__docformat__ = 'plaintext'

from interfaces import IWebMail
from interfaces import IMessage

from properties import IFsCacheProperties
from properties import ISMTPProperties
from properties import IWebmailProperties

from manufactur import IMailSendout
from manufactur import IDispatchRuleSet
from manufactur import IReceiverResolver
from manufactur import IReceiverProvider
from manufactur import IReceiverRecord

from browser import IWebmailStatusMessage
from browser import IWebmailJavascriptLoader
from browser import IWysiwygSupportView
from browser import IWebMailOverviewPortletView
from browser import IWebMailPortletView
from browser import IIMAPActionsView
from browser import IIMAPFolderView
from browser import IIMAPMessageView
from browser import IIMAPCreateMessageView

from event import ICacheVaryEvent