$(document).ready(function() {
	$('strong.collapsed').click(function() {
		var attachmentContentElem = $(this.parentNode).next().get(0);
		var currentstyle = attachmentContentElem.style.display;
		if (!currentstyle || currentstyle == 'none') {
			$(attachmentContentElem).css({ display: 'block' });
		} else {
			$(attachmentContentElem).css({ display: 'none' });
		}
	});
});

function submitWebMailAction(name, value) {
    html = '<input type=\"hidden\" name=\"' + name; 
    html += '\" value=\"' + value + '\" />'; 
    $('#webmailForm').append(html);
    
	var event;
	if (document.createEvent) {
		event = document.createEvent('Events');
		event.initEvent('submit', true, false);
		document.webmailForm.dispatchEvent(event);
	} else if (document.createEventObject) {
		event = document.createEventObject();
		document.webmailForm.fireEvent('onsubmit', event);
	}
	
    document.webmailForm.submit(); 
}

function bluewebmail_message_selection() {
    if ($('#imapIdSelector').attr('checked') == false) {
        $('.imapIdCheckbox').attr('checked', false);
    } else {
        $('.imapIdCheckbox').attr('checked', true);
    }
}

function addAttachment() {
    targetElement = document.getElementById('append-attachments');
    childElements = targetElement.getElementsByTagName('div');
    count = childElements.length;
    id = count.toString();
    if (count > 0) {
        elementId = childElements.item(count - 1).id;
        start = elementId.indexOf('_') + 1;
        end = elementId.length;
        id = elementId.substring(start, end);
        id = parseInt(id) + 1;
        id = id.toString();
    }
    html = getAttachmentHtml(id);
    addHtmlElem(html);
}

function removeAttachment(id) {
    $("#append-attachment_" + id.toString()).remove();
}

function addHtmlElem(content) {
    $('#append-attachments').append(content);
}

function getAttachmentHtml(index) {
    html = '<div id=\"append-attachment_' + index;
    html += '\" class=\"attachment-upload\">\n';
    html += '<input type=\"file\" name=\"append-attachment\" ';
    html += 'size=\"30\" onchange=\"addAttachment()\" />\n';
    html += '<a href=\"javascript:removeAttachment(' + index;
    html += ')\"><img src=\"deleteAttachmentIco.png\" alt=\"ico\" ';
    html += '/></a>\n</div>\n';
    return html;
}

function deleteFolderConfirm(message) {
    selection = document.getElementById('deleteFolderSelection');
    index = selection.selectedIndex;
    if (index == -1) {
        alert('Kein Unterordner vorhanden');
    } else {
        selected = selection.options[index].text;
        message = message + selected;
	    if (confirm(message)) {
            document.deleteFolderForm.submit()
        }
    }
}